<!DOCTYPE html>
<html>
	<meta charset="UTF-8">
  <head>
    <title>Functest Results</title>
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/accordion.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/header.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/icon.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/card.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/container.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/step.min.css">
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/statistic.min.css">
    <script
      src="https://code.jquery.com/jquery-3.1.1.min.js"
      integrity="sha256-hVVnYaiADRTO2PzUGmuLJr8BLUSjGIZsDYGmIJLv2b8="
      crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/accordion.min.js"></script>
    <script>$(function(){
      $('.ui.accordion').accordion();});
    </script>
  </head>

  <body>
    <div class='ui inverted vertical masthead center aligned segment'>

    <div class="ui text container">
      <h1 class="ui inverted header">
        Functest Results
      </h1>
    </div>

    </div>
    <div class='ui vertical stripe segment'>
      <div class='ui middle aligned stackable grid container'>
        <div class="row">
          <div class="column">
            <h1 class="ui header">
              <i class="warehouse icon"></i>
              <div class="content">OpenLab: OpenStack Monitoring</div>
              <div class="sub header">

                {% if score > 99 -%}
                    <div class="ui olive statistic">
                {%- elif score > 75 -%}
                    <div class="ui orange statistic">
                {%- else -%}
                    <div class="ui red statistic">
                {%- endif %}
                  <div class="value">{{ score }}%</div>
                  <div class="label">last check</div>
                </div>
                <div class="ui olive statistic">
                  <div class="value">
                    <i class="{{ trend }}"></i>
                  </div>
                  <div class="label">trend</div>
                </div>
              </div>
            </h1>
            <div class="ui cards">
            {% for tier in tiers -%}
              <div class="ui card">
                <div class="content">
                  <div class="header">{{ tier.name }}</div>
                  <div class="meta">{{ date }}</div>
                  <div class="center aligned description">
                    {% if tier.score > 99 -%}
                        <div class="ui green statistic">
                    {%- elif tier.score > 75 -%}
                        <div class="ui orange statistic">
                    {%- else -%}
                        <div class="ui red statistic">
                    {%- endif %}
                      <div class="value">{{ tier.score }}%</div>
                      <div class="label">last check</div>
                    </div>
                    <div class="ui fluid accordion">
                      <div class="title">
                        <div class="dropdown icon"></div>
                        Full results
                      </div>
                      <div class="content">
                        <div class="ui mini vertical steps">
                        {% for result in tier.results -%}
                            <div class="step">
                              {% if 'PASS' == result.result  -%}
                                <i class="inverted green check icon"></i>
                              {%- else -%}
                                <i class="inverted red x icon"></i>
                              {%- endif %}
                                <div class="content">
                                    {% if result.url != '' -%}
                                      <div class="center aligned header"><a href="{{result.url}}">{{result.name}}</a></div>
                                    {%- else -%}
                                      <div class="center aligned header">{{result.name}}</div>
                                    {%- endif %}
                              </div>
                            </div>
                        {%- endfor %}
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          {%- endfor %}
          </div>
        </div>
      </div>
    </div>
  </div>
  </body>
</html>
